Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003421TestLinkTest Executepublic2010-05-04 01:312010-11-14 12:07
Reporterfman 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9 Beta 4 
Fixed in Version1.9 (Prague) 
Summary0003421: Test Case Execution feature - Add Export All test Case in TEST SUITE button
DescriptionAdd an "export button" for all test cases that are in a suite on EXECUTE FEATURE
This way testers can export their test cases to e.g. excel and then import the results.
Also this would create a file that people always can use as a template.
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Filespng file icon export_execution_set.png [^] (7,869 bytes) 2010-11-06 14:23

- Relationships
related to 0003270closedfman Export Test Plan in XML Format 
related to 0003649closedfman Export/Import Test Plan links to test cases and platforms 
related to 0003894closedfman ???? 

-  Notes
(0010582)
volker.herren (reporter)
2010-07-08 11:07
edited on: 2010-07-08 11:08

This feature would be extremely helpful in automotive business where lots of testing is done offline (e.g. car testing on the road). If you can record your results in Excel and then import the results when you return to office this would be great.

(0010584)
fman (administrator)
2010-07-08 13:40

our plans are always support XML, and leave to users transform XLS on XML TL format
(0011502)
fman (administrator)
2010-09-26 14:32

New button added only when using 'BULK EXECUTION' ($tlCfg->exec_cfg->show_testsuite_contents = ENABLED;)

File format:
<?xml version="1.0" encoding="UTF-8"?>
<executionSet>
    <context>
      <testproject>
        <name></name>
        <internal_id></internal_id>
        <prefix></prefix>
      </testproject>
      <testplan>
        <name></name>
        <internal_id></internal_id>
      </testplan>
      <platform>
        <name></name>
        <internal_id></internal_id>
      </platform>
      <build>
        <name></name>
        <internal_id>
        </internal_id>
      </build>
  </context>
  <testcases>
    <testcase internalid="" name="">
        <node_order></node_order>
        <externalid></externalid>
        <version></version>
        <summary></summary>
        <preconditions></preconditions>
        <execution_type></execution_type>
        <importance></importance>
    <steps>
    <step>
        <step_number></step_number>
        <actions></actions>
        <expectedresults></expectedresults>
        <execution_type></execution_type>
    </step>
    </steps>
    </testcase>
  
    <testcase>
    ...
    </testcase>
  </testcases>
</executionSet>
(0012481)
fman (administrator)
2010-11-14 12:07

1.9 (Prague) Released

- Issue History
Date Modified Username Field Change
2010-05-04 01:31 fman New Issue
2010-05-04 01:33 fman Relationship added related to 0003270
2010-07-08 11:07 volker.herren Note Added: 0010582
2010-07-08 11:08 volker.herren Note Edited: 0010582 View Revisions
2010-07-08 13:40 fman Note Added: 0010584
2010-09-25 18:13 fman Summary Add Export All test Case button => Test Case Execution feature - Add Export All test Case in TEST SUITE button
2010-09-25 18:13 fman Description Updated View Revisions
2010-09-25 18:13 fman Relationship added related to 0003649
2010-09-26 14:32 fman Note Added: 0011502
2010-09-26 14:33 fman Fixed in Version => 1.9 RC 1
2010-09-30 18:25 fman Status new => resolved
2010-09-30 18:25 fman Resolution open => fixed
2010-09-30 18:25 fman Assigned To => fman
2010-10-09 08:00 fman Note Added: 0011728
2010-10-09 08:00 fman Status resolved => closed
2010-10-14 09:50 fman Status closed => new
2010-10-14 09:50 fman Status new => assigned
2010-10-14 09:50 fman Fixed in Version 1.9 RC 1 =>
2010-10-14 09:52 fman Note Deleted: 0011728
2010-11-06 14:15 fman Relationship added related to 0003894
2010-11-06 14:23 fman File Added: export_execution_set.png
2010-11-06 14:24 fman Status assigned => resolved
2010-11-06 14:24 fman Fixed in Version => 1.9 (Prague)
2010-11-14 12:07 fman Note Added: 0012481
2010-11-14 12:07 fman Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker